Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class CatalogMetadataInfo

java.lang.Object
org.firebirdsql.jdbc.metadata.CatalogMetadataInfo

public sealed class CatalogMetadataInfo extends Object
Metadata information related to catalogs.

Specifically, this reports the normal behaviour (no catalogs), or — Firebird 3.0 or higher with `useCatalogAsPackage=true` — catalogs being used for packages.

Since:
  6
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static CatalogMetadataInfo`
`create(DbMetadataMediator mediator)`
`String`
`getCatalogSeparator()`
`String`
`getCatalogTerm()`
`int`
`getMaxCatalogNameLength()`
`boolean`
`isCatalogAtStart()`
`boolean`
`supportsCatalogsInDataManipulation()`
`boolean`
`supportsCatalogsInIndexDefinitions()`
`boolean`
`supportsCatalogsInPrivilegeDefinitions()`
`boolean`
`supportsCatalogsInProcedureCalls()`
`boolean`
`supportsCatalogsInTableDefinitions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static CatalogMetadataInfo create(DbMetadataMediator mediator)

### getCatalogSeparator

public String getCatalogSeparator()

### getCatalogTerm

public String getCatalogTerm()

### isCatalogAtStart

public boolean isCatalogAtStart()

### getMaxCatalogNameLength

public int getMaxCatalogNameLength()

### supportsCatalogsInDataManipulation

public boolean supportsCatalogsInDataManipulation()

### supportsCatalogsInProcedureCalls

public boolean supportsCatalogsInProcedureCalls()

### supportsCatalogsInTableDefinitions

public boolean supportsCatalogsInTableDefinitions()

### supportsCatalogsInIndexDefinitions

public boolean supportsCatalogsInIndexDefinitions()

### supportsCatalogsInPrivilegeDefinitions

public boolean supportsCatalogsInPrivilegeDefinitions()